Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ebay.redlasersdk
Enum RedLaserExtras.RLScannerReadyState

    java.lang.Object
      java.lang.Enum<RedLaserExtras.RLScannerReadyState>
          com.ebay.redlasersdk.RedLaserExtras.RLScannerReadyState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RedLaserExtras.RLScannerReadyState>

Enclosing class:
  RedLaserExtras

    public static enum RedLaserExtras.RLScannerReadyState

extends java.lang.Enum<RedLaserExtras.RLScannerReadyState>

Result codes from the checkReadyStatus method.

Enum Constant Summary
`APILevelTooLow` The device doesn't meet the SDK's minimum API level requirement.
`BadLicense` This means the license file was found, but either failed digital signature verification or didn't contain an entry matching your application's root classname.
`EvalModeReady` Scanning will work, but the SDK considers itself to be in 'Eval' mode, meaning this app is not licensed, and will only function for a limited number of scans.
`LicensedModeReady` License file was found, verified, and it marks this app as licensed.
`MissingPermissions` Your application must enable specific permissions in order to use the SDK.
`NoCamera` This is a convenience result for devices that don't have cameras.
`ScanLimitReached` When running in Evaluation mode, the SDK will stop working after 25 scans, and checkReadyStatus will start returning this result code.
`UnknownState` This is the result code that should not ever happen--if you see this, please tell us, we need to fix it.
`UnsupportedHardware` Some Android hardware just doesn't seem to work right.

Method Summary
`static RedLaserExtras.RLScannerReadyState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RedLaserExtras.RLScannerReadyState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EvalModeReady

    public static final RedLaserExtras.RLScannerReadyState EvalModeReady

  Scanning will work, but the SDK considers itself to be in 'Eval' mode, meaning this app is not licensed, and will only function for a limited number of scans. If you get this and you're expecting to be in Licensed mode, check that the license file is in the right place.

### LicensedModeReady

    public static final RedLaserExtras.RLScannerReadyState LicensedModeReady

  License file was found, verified, and it marks this app as licensed. This is the 'good to go' result..

### APILevelTooLow

    public static final RedLaserExtras.RLScannerReadyState APILevelTooLow

  The device doesn't meet the SDK's minimum API level requirement. Currently, the SDK requires API level 7, but this minimum could be increased in the future. Instead of checking for API level 7 yourself, it's better to call checkReadyStatus and be prepared for this result.

### NoCamera

    public static final RedLaserExtras.RLScannerReadyState NoCamera

  This is a convenience result for devices that don't have cameras. You could check for this yourself, but it's easier to use checkReadyStatus--you should be calling this method anyway.

### BadLicense

    public static final RedLaserExtras.RLScannerReadyState BadLicense

  This means the license file was found, but either failed digital signature verification or didn't contain an entry matching your application's root classname. There's a couple of other reasons this result could happen for specific license types, but they all fall into "The license was found, but doesn't authorize this app to run."

### ScanLimitReached

    public static final RedLaserExtras.RLScannerReadyState ScanLimitReached

  When running in Evaluation mode, the SDK will stop working after 25 scans, and checkReadyStatus will start returning this result code.

### MissingPermissions

    public static final RedLaserExtras.RLScannerReadyState MissingPermissions

  Your application must enable specific permissions in order to use the SDK. See the pdf documentation that comes with the SDK.

### UnsupportedHardware

    public static final RedLaserExtras.RLScannerReadyState UnsupportedHardware

  Some Android hardware just doesn't seem to work right. This enum was created for the Motorola Xoom, which kernel panics when we ask the camera to do almost anything. Other hardware may return this result in the future as well. If checkReadyStatus returns this result you should treat it similarly to the 'NoCamera' result, unless you're sure the SDK really will work on the current device.

### UnknownState

    public static final RedLaserExtras.RLScannerReadyState UnknownState

  This is the result code that should not ever happen--if you see this, please tell us, we need to fix it.

Method Detail

### values

    public static RedLaserExtras.RLScannerReadyState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RedLaserExtras.RLScannerReadyState c : RedLaserExtras.RLScannerReadyState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RedLaserExtras.RLScannerReadyState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 eBay Inc. All Rights Reserved.